#ifndef MpsBeamEnergy_HH
#define MpsBeamEnergy_HH

unsigned mpsBeamEnergy(unsigned run) {
  unsigned e(0);

  // CERN09 tracking
  if(run>=447247 && run<=447982) e=120;

  // CERN09 converter
  if(run>=447983 && run<=447994) e=100;
  if(run>=447995 && run<=448000) e= 40;
  if(run==448001               ) e=  0;
  if(run>=448002 && run<=448007) e= 20;
  if(run>=448008 && run<=448010) e= 60;
  if(run>=448011 && run<=448014) e= 80;

  // DESY10 tracking
  if(run>=492000 && run<=492171) e=0;
  if(run>=492172 && run<=492185) e=2;
  if(run>=492186 && run<=492200) e=4;
  if(run>=492201 && run<=492215) e=2;
  if(run>=492216 && run<=492269) e=4;
  if(run>=492270 && run<=492280) e=0;
  if(run>=492281 && run<=492342) e=4;
  if(run>=492343 && run<=492349) e=2;
  if(run>=492350 && run<=492406) e=4;
  if(run>=492407 && run<=492419) e=2;
  if(run==492420               ) e=1;
  if(run==492421               ) e=5;
  if(run==492422               ) e=4;
  if(run==492423               ) e=3;
  if(run==492424               ) e=6;
  if(run==492425               ) e=1;
  if(run==492426               ) e=2;
  if(run==492427               ) e=3;
  if(run==492428               ) e=4;
  if(run==492429               ) e=5;
  if(run==492430               ) e=6;
  if(run>=492431 && run<=492453) e=4;

  // DESY10 converter
  if(run==493000               ) e=1;
  if(run==493001               ) e=2;
  if(run==493002               ) e=3;
  if(run==493003               ) e=4;
  if(run==493004               ) e=5;
  if(run==493005               ) e=1;
  if(run==493006               ) e=2;
  if(run==493007               ) e=3;
  if(run==493008               ) e=4;
  if(run==493009               ) e=5;
  if(run==493010               ) e=5;
  if(run>=493011 && run<=493021) e=1;
  if(run==493022               ) e=2;
  if(run==493023               ) e=5;
  if(run==493024               ) e=3;
  if(run==493025               ) e=4;
  if(run==493026               ) e=5;
  if(run==493027               ) e=1;
  if(run==493028               ) e=2;
  if(run==493029               ) e=3;
  if(run==493030               ) e=4;
  if(run==493031               ) e=5;
  if(run==493032               ) e=5;
  if(run>=493033 && run<=493043) e=1;
  if(run==493044               ) e=2;
  if(run==493045               ) e=3;
  if(run==493046               ) e=4;
  if(run==493047               ) e=5;
  if(run==493048               ) e=1;
  if(run==493049               ) e=2;
  if(run==493050               ) e=3;
  if(run==493051               ) e=4;
  if(run==493052               ) e=5;
  if(run>=493053 && run<=493064) e=1;
  if(run==493065               ) e=2;
  if(run==493066               ) e=3;
  if(run==493067               ) e=4;
  if(run>=493068 && run<=493079) e=1;
  if(run>=493080 && run<=493090) e=2;
  if(run>=493091 && run<=493101) e=3;
  if(run==493102               ) e=4;
  if(run==493103               ) e=5;
  if(run>=493104 && run<=493125) e=1;
  if(run>=493126 && run<=493127) e=2;
  if(run==493128               ) e=3;
  if(run==493129               ) e=4;
  if(run==493130               ) e=5;
  if(run>=493131 && run<=493142) e=1;
  if(run==493143               ) e=2;
  if(run==493144               ) e=3;
  if(run==493145               ) e=0;
  if(run>=493146 && run<=493156) e=3;
  if(run==493157               ) e=4;
  if(run==493158               ) e=5;
  if(run==493159               ) e=1;
  if(run==493160               ) e=2;
  if(run==493161               ) e=3;
  if(run==493162               ) e=4;
  if(run==493163               ) e=5;
  if(run>=493164 && run<=493174) e=4;
  if(run==493175               ) e=3;
  if(run>=493176 && run<=493186) e=2;
  if(run>=493187 && run<=493208) e=1;
  if(run>=493209 && run<=493220) e=5;
  if(run==493221               ) e=4;
  if(run>=493222 && run<=493232) e=3;
  if(run>=493233 && run<=493243) e=2;
  if(run>=493244 && run<=493246) e=1;
  if(run==493247               ) e=4;
  if(run>=493248 && run<=493260) e=5;
  if(run==493261               ) e=4;
  if(run>=493262 && run<=493263) e=3;
  if(run>=493264 && run<=493265) e=2;
  if(run>=493266 && run<=493277) e=1;
  if(run==493278               ) e=2;
  if(run==493279               ) e=3;
  if(run>=493280 && run<=493282) e=4;
  if(run==493283               ) e=5;
  if(run>=493284 && run<=493294) e=1;
  if(run==493295               ) e=2;
  if(run==493296               ) e=3;
  if(run==493297               ) e=4;
  if(run==493298               ) e=5;
  if(run>=493299 && run<=493309) e=1;
  if(run==493310               ) e=2;
  if(run==493311               ) e=3;
  if(run==493312               ) e=4;
  if(run==493313               ) e=5;
  if(run==493314               ) e=1;
  if(run==493315               ) e=5;
  if(run>=493316 && run<=493326) e=1;
  if(run==493327               ) e=2;
  if(run==493328               ) e=3;
  if(run==493329               ) e=4;
  if(run==493330               ) e=5;
  if(run>=493331 && run<=493342) e=1;
  if(run==493343               ) e=2;
  if(run==493344               ) e=3;
  if(run>=493345 && run<=493346) e=4;
  if(run==493347               ) e=5;
  if(run>=493348 && run<=493358) e=1;
  if(run==493359               ) e=2;
  if(run==493360               ) e=3;
  if(run==493361               ) e=4;
  if(run==493362               ) e=5;
  if(run>=493363 && run<=493377) e=1;
  if(run==493378               ) e=2;
  if(run==493379               ) e=3;
  if(run>=493380 && run<=493381) e=4;
  if(run==493382               ) e=5;
  if(run==493383               ) e=2;
  if(run>=493384 && run<=493418) e=4;
  if(run>=493419 && run<=493429) e=5;
  if(run==493430               ) e=4;
  if(run==493431               ) e=3;
  if(run==493432               ) e=2;
  if(run>=493433 && run<=493434) e=1;
  if(run==493435               ) e=2;
  if(run==493436               ) e=3;
  if(run==493437               ) e=4;
  if(run>=493438 && run<=493449) e=5;
  if(run==493450               ) e=4;
  if(run==493451               ) e=3;
  if(run==493452               ) e=2;
  if(run>=493453 && run<=493464) e=1;
  if(run==493465               ) e=2;
  if(run==493466               ) e=3;
  if(run==493467               ) e=4;
  if(run>=493468 && run<=493483) e=5;
  
  return e;
}

#endif
